Subject: categories: Re: WHY ARE WE CONCERNED? I

From: Graham White <[email-masked]>
Date: Thu, 30 Mar 2006 09:13:52 +0100

> jim stasheff wrote:
>
> > now for a mathematical subject a math proof is sometimes but not always
> > necessary
>

There's a saying about Lefschetz that he "never wrote a valid
proof, and never made a false conjecture". Now it's not an attitude
that want to encourage, but if you have great mathematicians who
are like that (and Lefschetz was not just a good mathematician, but
a great mathematician, without whom a good deal of modern algebraic
geometry would be unimaginable), then this ought to tell us something.

What it tells us is, of course, not easy to formulate: it's an example
that causes severe problems for almost every philosophy of mathematics
that I know. But it ought to stop us saying things of the form
"if we don't do category theory in such and such a way, then it
won't be mathematics at all".

(Of course we'll all keep saying this, because we all have a secret
fear that, if we aren't really careful about what we do, the grown up
mathematicians will kick sand in our face, but that's a
psychological problem and not a mathematical problem.)

-- 
Dr. Graham White
Lecturer
Department of Computer Science
Queen Mary, University of London
Mile End Road
London E1 4NS
http://www.dcs.qmul.ac.uk/~graham
(+44)(020)7882 5242